# Intro

Megafono is a simple bot for [Mastodon](https://github.com/tootsuite/mastodon/) instances using [Mastodon.py](https://github.com/halcy/Mastodon.py).

# Usage

Requires Python3 and pip.

Run `pip install -r requirements.txt`.

See the included `.env.sample` file for information on configuration.

# Docker

To use the docker version, build it, and run it with:

```
docker build -t megafono .
docker run -v "$(pwd)"/txt:/data -it megafono:latest
```
Files in txt directory can be updated without rebuild image

# Credits
https://github.com/caffeinewriter/botvenon
